Unsupported major.minor version 52.0

在我们的项目运行的时候有些时候会 java.lang.UnsupportedClassVersionError.Unsupported major.minor version 52.0  XXXX.class

 出现该问题的时候大部分情况下是大致可能是因为我们的jdk版本问题、tomcat服务器中jre的版本问题。今天就说下idea中出现该问题时的解决思路:

   首先确定jdk和jre的版本一致,在以下几个地方查看:

1.file—>setting中找到java compiler的版本,查看是否一致。


2.打开我们创建的module查看jdk和sdk是否对应



3.查看tomcat的版本


没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试

关闭